summaryrefslogtreecommitdiffstats
path: root/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild')
-rwxr-xr-xextra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild16
1 files changed, 4 insertions, 12 deletions
diff --git a/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild b/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
index bb966a889..3e1aac9b1 100755
--- a/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
+++ b/extra/source/xf86-video-fbdev/xf86-video-fbdev.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2012, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=xf86-video-fbdev
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -71,15 +71,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
-
-# Remove obsolete references to mibstore.h and miInitializeBackingStore():
-grep -r -l '#include "mibstore.h"' * | while read file ; do
- sed -i "s/#include \"mibstore.h\"//g" $file
-done
-grep -r -l 'miInitializeBackingStore(pScreen);' | while read file ; do
- sed -i "s/miInitializeBackingStore(pScreen);//g" $file
-done
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -99,7 +91,7 @@ CFLAGS=$SLKCFLAGS \
--mandir=/usr/man \
--docdir=/usr/doc/xf86-video-fbdev-$VERSION \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1